import { PublicConfigClass } from '@/packages/public'
import { DeviceMenuConfig } from './index'
import { CreateComponentType } from '@/packages/index.d'
import cloneDeep from 'lodash/cloneDeep'
import dataJson from './data.json'

const option = {
  list: [
    '无人机','摄像头','高空瞭望','卫星遥感','小程序'
  ],
  selectButton: '',
}

export default class Config extends PublicConfigClass implements CreateComponentType {
  public key: string = DeviceMenuConfig.key
  public chartConfig = cloneDeep(DeviceMenuConfig)
  public option = cloneDeep(option)
  constructor() {
    super(); 
    this.attr.w = 947; 
    this.attr.h = 168;
    this.isChildEvent = true
    this.events.interactConfigEvents = {}
  }
}
